libpreludedb-mysql-5.0.0-2.1.i586.rpm


Advertisement

Description

libpreludedb-mysql - Plugin to use prelude with a mysql database

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libpreludedb-mysql-5.0.0-2.1.i586.rpm
Package name libpreludedb-mysql
Package version 5.0.0
Package release 2.1
Package architecture i586
Package type rpm
Category Productivity/Networking/Security
Homepage https://www.prelude-siem.org
License GPL-2.0-or-later AND LGPL-2.1-only AND GPL-3.0-or-later
Maintainer -
Download size 21.69 KB
Installed size 46.17 KB
This plugin allows prelude to store alerts into a mysql database.

Alternatives

Package Version Architecture Repository
libpreludedb-mysql-5.0.0-2.1.x86_64.rpm 5.0.0 x86_64 openSUSE Oss
libpreludedb-mysql - - -

Requires

Name Value
libc.so.6(GLIBC_2.4) -
libmariadb.so.3 -
libmariadb.so.3(libmysqlclient_18) -
libprelude.so.28 -
libpreludedb-plugins = 5.0.0
libpreludedb.so.7 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
mysql -
mysql-server -

Provides

Name Value
libpreludedb-mysql = 5.0.0-2.1
libpreludedb-mysql(x86-32) = 5.0.0-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libpreludedb-mysql-5.0.0-2.1.i586.rpm
Source Package libpreludedb-5.0.0-2.1.src.rpm

Install Howto

Install libpreludedb-mysql rpm package:

# zypper install libpreludedb-mysql

Files

Path
/usr/lib/libpreludedb/
/usr/lib/libpreludedb/plugins/
/usr/lib/libpreludedb/plugins/sql/mysql.so
/usr/share/libpreludedb/
/usr/share/libpreludedb/classic/mysql-update-14-1.sql
/usr/share/libpreludedb/classic/mysql-update-14-2.sql
/usr/share/libpreludedb/classic/mysql-update-14-3.sql
/usr/share/libpreludedb/classic/mysql-update-14-4.sql
/usr/share/libpreludedb/classic/mysql-update-14-5.sql
/usr/share/libpreludedb/classic/mysql-update-14-6.sql
/usr/share/libpreludedb/classic/mysql-update-14-7.sql
/usr/share/libpreludedb/classic/mysql-update-14-8.sql
/usr/share/libpreludedb/classic/mysql.sql
/usr/share/libpreludedb/classic/mysql2pgsql.sh
/usr/share/libpreludedb/classic/mysql2sqlite.sh

Changelog

2019-04-09 - Christophe Giboudeaux <christophe@krop.fr>
- Add the missing build dependency for Tumbleweed.
2019-03-01 - thomas.andrejak@gmail.com
Bump version 5.0.0
- Remove patchs included in new version
- libpreludedb-fix-gtk-doc.patch
2017-10-04 - thomas.andrejak@gmail.com
- Bump to libpreludedb 4.0.0
- Add patchs:
- libpreludedb-fix-gtk-doc.patch: gtk-doc removed gtkdoc-tmpl so gtk-doc.make
and gtk-doc.m4 need to be updated
- libpreludedb-manpages.patch: Error in manpage description
- libpreludedb-undefined_non_weak_symbol.patch: Fix undefined non weak symbol
- Remove libgcrypt-devel from BuildRequires since upstream totally move to
gnutls
- Rename python-preludedb to python2-preludedb
2017-03-30 - jengelh@inai.de
- Rename %soname to %sover to better reflect its use
2016-11-27 - thomas.andrejak@gmail.com
- Update to 3.1.0 (Prelude 3.1.0 released on 14 Sept 2016)
- Remove unnecessary patches (libpreludedb-python-swig.patch)
- Use a lib directory with soname
- Spec-Cleaner
2016-10-01 - thomas.andrejak@gmail.com
- Fix which version of postgresql to use
Force using postgresql94 as expected in Leap42.2
Next time, update to do like
packages in server:database:postgresql
2016-09-15 - thomas.andrejak@gmail.com
- Update licence from GPL-2.0+ to GPL-3.0+ to include libmissing
2016-06-28 - jengelh@inai.de
- Drop manual library and python requires (autodetected).
Ensure shared library packaging guideline is followed
(no extra files in shlib subpackages).
Fixup RPM groups. Devel package failed to pull in the cpp wrapper.
2016-05-03 - thomas.andrejak@gmail.com
Initial import
Generate the lib, the plugins and bindings :
* Bindings :
* Python
* Python 3
* Plugins :
* MySQL
* PostgreSQL
* SQLite
Include libpreludedb-python-swig.patch to compile
with python 3.

See Also

Package Description
libpreludedb-pgsql-5.0.0-2.1.i586.rpm Plugin to use prelude with a pgsql database
libpreludedb-pgsql-5.0.0-2.1.x86_64.rpm Plugin to use prelude with a pgsql database
libpreludedb-plugins-5.0.0-2.1.i586.rpm Plugin to use prelude with a classic schema
libpreludedb-plugins-5.0.0-2.1.x86_64.rpm Plugin to use prelude with a classic schema
libpreludedb-sqlite-5.0.0-2.1.i586.rpm Plugin to use prelude with a sqlite database
libpreludedb-sqlite-5.0.0-2.1.x86_64.rpm Plugin to use prelude with a sqlite database
libpreludedb7-5.0.0-2.1.i586.rpm Prelude Libraries
libpreludedb7-5.0.0-2.1.x86_64.rpm Prelude Libraries
libpreludedbcpp2-5.0.0-2.1.i586.rpm Prelude Libraries
libpreludedbcpp2-5.0.0-2.1.x86_64.rpm Prelude Libraries
libpresage-devel-0.9.1-5.6.i586.rpm Intelligent predictive text entry platform (development files)
libpresage-devel-0.9.1-5.6.x86_64.rpm Intelligent predictive text entry platform (development files)
libpresage-doc-0.9.1-5.6.noarch.rpm Intelligent predictive text entry platform (documentation)
libpresage1-0.9.1-5.6.i586.rpm Intelligent predictive text entry platform (shared library)
libpresage1-0.9.1-5.6.x86_64.rpm Intelligent predictive text entry platform (shared library)
Advertisement
Advertisement